#include "caesar.h"
#include <string.h>

void caesar_shift(char * const message, const size_t message_length, const int16_t key);

void caesar_encrypt(char * const message, const size_t message_length, const int16_t key)
{
    caesar_shift(message, message_length, key);
}

void caesar_decrypt(char * const message, const size_t message_length, const int16_t key)
{
    caesar_shift(message, message_length, -key);
}

/**
 * Shifts each character in a message by a given amount.
 * The procedure directly overwrites the input message.
 *
 * @param message The characters to shift.
 * @param message_length The number of characters.
 * @param key The number of characters each character of
 * the message is shifted by.
 */
void caesar_shift(char * const message, const size_t message_length, const int16_t key)
{
	/* TODO implement */
}
